<div>
    <h1>Dynamic Search</h1>
    <form class="example-form">
      <mat-label>Enter Name: </mat-label>
      <input matInput [(ngModel)]="InputName" [ngModelOptions]="{standalone: true}" placeholder="Name"
        (ngModelChange)="Dynamic_Search_fn()">
      {{InputName}}
    </form>
  </div>
  <table *ngIf="this.result.name_fetched_data" mat-table [dataSource]="this.result.name_fetched_data">
    <ng-container matColumnDef="Full_Name">
      <th mat-header-cell *matHeaderCellDef> Full_Name </th>
      <td mat-cell *matCellDef="let user"> {{user.fullname}} </td>
    </ng-container>
    <ng-container matColumnDef="Email ID">
      <th mat-header-cell *matHeaderCellDef> Email ID </th>
      <td mat-cell *matCellDef="let user"> {{user.email}} </td>
    </ng-container>
    <ng-container matColumnDef="Enrollment Number">
      <th mat-header-cell *matHeaderCellDef> Enrollment Number </th>
      <td mat-cell *matCellDef="let user"> {{user.rollno}} </td>
    </ng-container>
    <ng-container matColumnDef="Gender">
      <th mat-header-cell *matHeaderCellDef> Gender </th>
      <td mat-cell *matCellDef="let user"> {{user.Gender}} </td>
    </ng-container>
    <ng-container matColumnDef="Phone Number">
      <th mat-header-cell *matHeaderCellDef> Phone Number </th>
      <td mat-cell *matCellDef="let user"> {{user.phone_no}} </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
  </table>